Subject: RE: [Asrg] (no subject)

From: "Danny Angus" <[email-masked]>
Date: Tue, 1 Jul 2003 14:33:57 +0100

Mark McCarron wrote:

>  SMTP is a dying 
> protocol, imagine what it would be like in 10 years?

Erm .. I don't think that is quite correct, surely?
I know that IM is growing in popularity and I wouldn't be surprised if SMTP was loosing "market share" but to describe what must be one of, if not the, most widely used internet protocols as dying is preposterous.

Perhaps you could back up your claim with evidence, I'd be happy to eat humble pie if you're right.

> This will be easy enough.  There will be a period of transition.  
> Its not as 
> hard as everyone thinks.  I agree it will be a challange, but hey 
> come on, 
> its not rocket science.

The science is not the hard bit, it is the cost. I'm sure we could come up with a dozen really secure mail protocols from the expertise on this list alone. Do you imagine that updates for every piece of mail software will be made available free it might not be available at all for some systems if you can't write it yourself, or that the admins who have to install and manage it will do so without incurring cost?

On a home user basis it may be trivial but in the wicked world of business any such change would cost a packet, look at the cost of installing y2k patches.

> The system we tested it on was a private network, also, it wasn't 
> using the 
> full aspects of the 'GIEIS' design.  It was just a feasibility 
> test and it 
> responded well, in fact, 100%.

100% of what? did you try to break it, did you try to fool it, what happens to mail if you launch a DOS attack on the token server? 

> alone.  For those of you who remember MSN started out as an x.25 network 
> without any pop3 servers.  If I remember correctly they were a 
> form of IMAP 

AFAIK MSN used to provide SMTP "kick" whereby the act of logging into the network provoked the SMTP server to attempt to deliver your mail to you. I may be wrong though.

d.,®	šŠX§‚X¬´+‚'~Šà†Ûi³ÿðÃ
bz×è®æj)fjåŠËbú?jÊà